> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakeip.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 添加白名单

> 用户添加白名单



## OpenAPI

````yaml POST /account/addWhiteList
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://apiv1.cakeip.com/openapi
security: []
paths:
  /account/addWhiteList:
    post:
      description: 用户添加白名单
      requestBody:
        description: 添加白名单请求
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddWhitelist'
        required: true
      responses:
        '200':
          description: plant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plant'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AddWhitelist:
      type: object
      properties:
        appKey:
          type: string
          description: AppKey密钥
        params:
          type: object
          properties:
            ipAddress:
              type: string
              description: IP地址
            remarks:
              type: string
              description: 备注
            provider:
              type: integer
              format: int32
              description: 池子类型：1=优选池（目前只支持1）
              enum:
                - 1
              default: 1
              example: 1
          required:
            - ipAddress
          description: 动态参数集合
      required:
        - appKey
        - params
    Plant:
      type: object
      properties:
        code:
          default: 0
          description: 状态码，0为操作成功
          type: integer
          format: int32
          example: 0
          enum:
            - 0
            - -1
        msg:
          description: 响应消息
          type: string
        data:
          description: 响应数据
          type: object
      required:
        - name
    Error:
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      required:
        - error
        - message

````